Subject: Re: [bug#54018] video.scm? (was: [PATCH] gnu: gallery-dl: Update to 1.20.5.)

From: Leo Famulari <[email-masked]>
Date: Wed, 16 Feb 2022 11:12:24 -0500

On Wed, Feb 16, 2022 at 06:16:03PM +0530, Jai Vetrivelan wrote:
> Why is this package in video.scm?  As far as I understand, the primary
> function of gallery-dl is not downloading videos.

The description says that it can download video galleries, and the name
of the program seems to be modeled after 'youtube-dl'.

> Would it be better if the package definition existed somewhere else?

No, it wouldn't be better or worse if it was in another module.

However, moving packages between modules is something we avoid doing
without a concrete justification, because it makes the Git history of a
package harder to understand and breaks 3rd-party channels. We don't go
out of our way to avoid breaking 3rd-party channels, but we shouldn't do
it gratuitously either.